#
#   Humerus - Playing Screen
#

from pygame.locals import *
from albow.sound import pause_sound, resume_sound
from screen import Screen

#---------------------------------------------------------------------------

class LevelScreen(Screen):

	def __init__(self, shell):
		Screen.__init__(self, shell)
	
	def leave_screen(self):
		pause_sound()
	
	def enter_screen(self):
		resume_sound()

	def key_down(self, e):
		key = e.key
		if key == K_ESCAPE:
			level = self.game.current_level
			if level.testing:
				level.reset()
				level.testing = False
				self.shell.show_editor_level()
			else:
				self.shell.show_menu()
		else:
			Screen.key_down(self, e)
	
	def begin_frame(self):
		level = self.game.current_level
		level.begin_frame()
		self.invalidate()
